clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::markup::Block Class Referenceabstract

Holds text and knows how to lay it out. More...

`#include <FormattedString.h>`

Inheritance diagram for clang::clangd::markup::Block:
[legend]

## Public Member Functions
virtual void | renderMarkdown (llvm::raw_ostream &OS) const =0
virtual void | renderPlainText (llvm::raw_ostream &OS) const =0
std::string | asMarkdown () const
std::string | asPlainText () const
virtual bool | isRuler () const
virtual | ~Block ()=default

## Detailed Description

Holds text and knows how to lay it out.

Multiple blocks can be grouped to form a document. Blocks include their own trailing newlines, container should trim them if need be.

Definition at line 29 of file FormattedString.h.

## Constructor & Destructor Documentation

## ◆ ~Block()

virtual clang::clangd::markup::Block::~Block | ( |  | ) |
| virtual default

Referenced by isRuler().

## Member Function Documentation

## ◆ asMarkdown()

std::string clang::clangd::markup::Block::asMarkdown | ( |  | ) | const

## ◆ asPlainText()

std::string clang::clangd::markup::Block::asPlainText | ( |  | ) | const

## ◆ isRuler()

virtual bool clang::clangd::markup::Block::isRuler | ( |  | ) | const
| inline virtual

Definition at line 36 of file FormattedString.h.

References ~Block().

## ◆ renderMarkdown()

virtual void clang::clangd::markup::Block::renderMarkdown | ( | llvm::raw_ostream & | OS | ) | const
| pure virtual

Implemented in clang::clangd::markup::BulletList, and clang::clangd::markup::Paragraph.

## ◆ renderPlainText()

virtual void clang::clangd::markup::Block::renderPlainText | ( | llvm::raw_ostream & | OS | ) | const
| pure virtual

Implemented in clang::clangd::markup::BulletList, and clang::clangd::markup::Paragraph.

The documentation for this class was generated from the following file:

- FormattedString.h